Freeciv-3.1: animation Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
animation Struct Reference

## Data Fields

enum animation_type | type
int | id
bool | finished
int | old_x
int | old_y
int | width
int | height
union { |
struct { |
struct unit * mover |
struct tile * src |
struct tile * dest |
float canvas_dx |
float canvas_dy |
} movement |
struct { |
struct unit * virt_loser |
struct tile * loser_tile |
int loser_hp_start |
struct unit * virt_winner |
struct tile * winner_tile |
int winner_hp_start |
int winner_hp_end |
int steps |
} battle |
struct { |
struct tile * tile |
const struct sprite_vector * sprites |
int sprite_count |
} expl |
struct { |
bool shown |
struct tile * nuke_tile |
} nuke |
}; |  |

## Detailed Description

Definition at line 130 of file mapview_common.c.

## Field Documentation

## ◆ [union]

union { ... } animation

## ◆ [struct]

struct { ... } animation::battle

Referenced by animations_free(), battle_animation(), and decrease_unit_hp_smooth().

## ◆ canvas_dx

float animation::canvas_dx

Definition at line 144 of file mapview_common.c.

Referenced by move_unit_map_canvas(), and movement_animation().

## ◆ canvas_dy

float animation::canvas_dy

Definition at line 145 of file mapview_common.c.

Referenced by move_unit_map_canvas(), and movement_animation().

## ◆ dest

struct tile* animation::dest

Definition at line 143 of file mapview_common.c.

Referenced by move_unit_map_canvas().

## ◆ [struct]

struct { ... } animation::expl

Referenced by decrease_unit_hp_smooth(), and explosion_animation().

## ◆ finished

bool animation::finished

Definition at line 134 of file mapview_common.c.

Referenced by animation_add(), and update_animation().

## ◆ height

int animation::height

Definition at line 138 of file mapview_common.c.

Referenced by decrease_unit_hp_smooth(), explosion_animation(), move_unit_map_canvas(), movement_animation(), put_nuke_mushroom_pixmaps(), and update_animation().

## ◆ id

int animation::id

Definition at line 133 of file mapview_common.c.

Referenced by decrease_unit_hp_smooth(), move_unit_map_canvas(), put_nuke_mushroom_pixmaps(), put_one_tile(), and update_animation().

## ◆ loser_hp_start

int animation::loser_hp_start

Definition at line 150 of file mapview_common.c.

Referenced by battle_animation(), and decrease_unit_hp_smooth().

## ◆ loser_tile

struct tile* animation::loser_tile

Definition at line 149 of file mapview_common.c.

Referenced by battle_animation(), and decrease_unit_hp_smooth().

## ◆ [struct]

struct { ... } animation::movement

Referenced by animations_free(), move_unit_map_canvas(), and movement_animation().

## ◆ mover

struct unit* animation::mover

Definition at line 141 of file mapview_common.c.

Referenced by animations_free(), move_unit_map_canvas(), and movement_animation().

## ◆ [struct]

struct { ... } animation::nuke

Referenced by nuke_animation(), and put_nuke_mushroom_pixmaps().

## ◆ nuke_tile

struct tile* animation::nuke_tile

Definition at line 164 of file mapview_common.c.

Referenced by nuke_animation(), and put_nuke_mushroom_pixmaps().

## ◆ old_x

int animation::old_x

Definition at line 135 of file mapview_common.c.

Referenced by animation_add(), explosion_animation(), movement_animation(), nuke_animation(), and update_animation().

## ◆ old_y

int animation::old_y

Definition at line 136 of file mapview_common.c.

Referenced by explosion_animation(), movement_animation(), nuke_animation(), and update_animation().

## ◆ shown

bool animation::shown

Definition at line 163 of file mapview_common.c.

Referenced by nuke_animation(), and put_nuke_mushroom_pixmaps().

## ◆ sprite_count

int animation::sprite_count

Definition at line 160 of file mapview_common.c.

Referenced by decrease_unit_hp_smooth(), and explosion_animation().

## ◆ sprites

const struct sprite_vector* animation::sprites

Definition at line 159 of file mapview_common.c.

Referenced by decrease_unit_hp_smooth(), and explosion_animation().

## ◆ src

struct tile* animation::src

Definition at line 142 of file mapview_common.c.

Referenced by move_unit_map_canvas(), and movement_animation().

## ◆ steps

int animation::steps

Definition at line 155 of file mapview_common.c.

Referenced by battle_animation(), and decrease_unit_hp_smooth().

## ◆ tile

struct tile* animation::tile

Definition at line 158 of file mapview_common.c.

Referenced by decrease_unit_hp_smooth(), and explosion_animation().

## ◆ type

enum animation_type animation::type

Definition at line 132 of file mapview_common.c.

Referenced by animations_free(), decrease_unit_hp_smooth(), move_unit_map_canvas(), put_nuke_mushroom_pixmaps(), and update_animation().

## ◆ virt_loser

struct unit* animation::virt_loser

Definition at line 148 of file mapview_common.c.

Referenced by animations_free(), battle_animation(), and decrease_unit_hp_smooth().

## ◆ virt_winner

struct unit* animation::virt_winner

Definition at line 151 of file mapview_common.c.

Referenced by animations_free(), battle_animation(), and decrease_unit_hp_smooth().

## ◆ width

int animation::width

Definition at line 137 of file mapview_common.c.

Referenced by decrease_unit_hp_smooth(), explosion_animation(), move_unit_map_canvas(), movement_animation(), put_nuke_mushroom_pixmaps(), and update_animation().

## ◆ winner_hp_end

int animation::winner_hp_end

Definition at line 154 of file mapview_common.c.

Referenced by battle_animation(), and decrease_unit_hp_smooth().

## ◆ winner_hp_start

int animation::winner_hp_start

Definition at line 153 of file mapview_common.c.

Referenced by battle_animation(), and decrease_unit_hp_smooth().

## ◆ winner_tile

struct tile* animation::winner_tile

Definition at line 152 of file mapview_common.c.

Referenced by battle_animation(), and decrease_unit_hp_smooth().